namespace Model
{
    /// <summary>
    /// 城市表 sys_city
    /// </summary>
    [SugarTable("sys_city", "城市表")]
    [Tenant("0")]
    public class SysCity
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnDescription = "", ColumnName = "id")]
        public int Id { get; set; }


        /// <summary>
        /// 城市id
        /// </summary>
        [SugarColumn(ColumnDescription = "城市id", ColumnName = "city_id")]
        public int CityId { get; set; }


        /// <summary>
        /// 省市级别
        /// </summary>
        [SugarColumn(ColumnDescription = "省市级别", ColumnName = "level")]
        public int Level { get; set; }


        /// <summary>
        /// 父级id
        /// </summary>
        [SugarColumn(ColumnDescription = "父级id", ColumnName = "parent_id")]
        public int ParentId { get; set; }


        /// <summary>
        /// 区号
        /// </summary>
        [SugarColumn(ColumnDescription = "区号", Length = 30, ColumnName = "area_code")]
        public string AreaCode { get; set; }


        /// <summary>
        /// 名称
        /// </summary>
        [SugarColumn(ColumnDescription = "名称", Length = 100, ColumnName = "name")]
        public string Name { get; set; }


        /// <summary>
        /// 合并名称
        /// </summary>
        [SugarColumn(ColumnDescription = "合并名称", Length = 255, ColumnName = "merger_name")]
        public string MergerName { get; set; }


        /// <summary>
        /// 经度
        /// </summary>
        [SugarColumn(ColumnDescription = "经度", Length = 50, ColumnName = "lng")]
        public string Lng { get; set; }


        /// <summary>
        /// 纬度
        /// </summary>
        [SugarColumn(ColumnDescription = "纬度", Length = 50, ColumnName = "lat")]
        public string Lat { get; set; }


        /// <summary>
        /// 是否展示
        /// </summary>
        [SugarColumn(ColumnDescription = "是否展示", ColumnName = "is_show")]
        public string IsShow { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_time")]
        public string CreateTime { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_time")]
        public string UpdateTime { get; set; }



    }
}