namespace Model
{
    /// <summary>
    /// 用户与岗位关联表 sys_user_post
    /// </summary>
    [SugarTable("sys_user_post", "用户与岗位关联表")]
    [Tenant("0")]
    public class SysUserPost
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "用户ID", ColumnName = "user_id")]
        public long UserId { get; set; }


        /// <summary>
        /// 岗位ID
        /// </summary>
        [SugarColumn(ColumnDescription = "岗位ID", ColumnName = "post_id")]
        public long PostId { get; set; }



    }
}