using System;
using System.ComponentModel.DataAnnotations;
using Model.Base;

namespace Dto
{
    /// <summary>
    /// 修改
    /// </summary>
    public class SysDictItemUpdateDto
    {
        /// <summary>
        /// 编号
        /// </summary>
        public long id { get; set; }


        /// <summary>
        /// 字典ID
        /// </summary>
        public long dictId { get; set; }


        /// <summary>
        /// 字典项值
        /// </summary>
        public string? itemValue { get; set; }


        /// <summary>
        /// 字典项名称
        /// </summary>
        public string? label { get; set; }


        /// <summary>
        /// 字典类型
        /// </summary>
        public string? dictType { get; set; }


        /// <summary>
        /// 字典项描述
        /// </summary>
        public string? description { get; set; }


        /// <summary>
        /// 排序（升序）
        /// </summary>
        public int sortOrder { get; set; }


        /// <summary>
        /// 备注信息
        /// </summary>
        public string? remarks { get; set; }



    }
}
