using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriLoopSetService : IBaseService<PriLoopSet>
    {
        /// <summary>
        /// 递归配置-列表
        /// </summary>
        /// <param name="listId">配置ID</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriLoopSetListVo> getPriLoopSetList([FromQuery] PagerInfo page, [FromQuery] PriLoopSet param);


        /// <summary>
        /// 递归配置-下拉框数据
        /// </summary>
        /// <param name="page">分页参数</param>
        /// <returns>下拉框数据</returns>
        PagedInfo<GetPriLoopSetDicVo> getPriLoopSetDic([FromQuery] PagerInfo page);



    }
}
