using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriPrizeObjectTableService : IBaseService<PriPrizeObjectTable>
    {
        /// <summary>
        /// 奖励发放对象表-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriPrizeObjectTableListVo> getPriPrizeObjectTableList([FromQuery] PagerInfo page, [FromQuery] PriPrizeObjectTable param);


        /// <summary>
        /// 奖励发放对象表-下拉框数据
        /// </summary>
        /// <param name="page">分页参数</param>
        /// <returns>下拉框数据</returns>
        PagedInfo<GetPriPrizeObjectTableDicVo> getPriPrizeObjectTableDic([FromQuery] PagerInfo page);



    }
}
