using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriQueryFieldService : IBaseService<PriQueryField>
    {
        /// <summary>
        /// 条件匹配字段-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriQueryFieldListVo> getPriQueryFieldList([FromQuery] PagerInfo page, [FromQuery] PriQueryField param);



    }
}
