﻿using Model;
using SqlSugar.IOC;

namespace SqlSugar
{
    /// <summary>
    /// 初始化表
    /// </summary>
    public class InitTable
    {
        /// <summary>
        /// 创建db、表
        /// </summary>
        public static void InitDb()
        {
            var db = DbScoped.SugarScope;
            //建库：如果不存在创建数据库存在不会重复创建 
            db.DbMaintenance.CreateDatabase();// 注意 ：Oracle和个别国产库需不支持该方法，需要手动建库 

            //var baseType = typeof(SysBase);
            //var entityes = AssemblyUtils.GetAllTypes().Where(p => !p.IsAbstract && p != baseType && p.GetCustomAttribute<SugarTable>() != null).ToArray();
            //db.CodeFirst.InitTables(entityes);

            //27个表,建议先使用下面方法初始化表，方便排查问题
            // db.CodeFirst.InitTables(typeof(SysUser));
            // db.CodeFirst.InitTables(typeof(SysRole));
            // db.CodeFirst.InitTables(typeof(ApiGroup));
            // db.CodeFirst.InitTables(typeof(Article));
            // db.CodeFirst.InitTables(typeof(ArticleCategory));
        }
    }
}
