using Mapster;


namespace Model
{
    /// <summary>
    /// 奖励入库字段 pri_prize_in_field
    /// </summary>
    [SugarTable("pri_prize_in_field", "奖励入库字段")]
    [Tenant("0")]
    public class PriPrizeInField
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 字段名称
        /// </summary>
        [SugarColumn(ColumnDescription = "字段名称", Length = 50, ColumnName = "field_name")]
        public string? fieldName { get; set; }


        /// <summary>
        /// 字段名
        /// </summary>
        [SugarColumn(ColumnDescription = "字段名", Length = 50, ColumnName = "field_en_name")]
        public string? fieldEnName { get; set; }


        /// <summary>
        /// 匹配方式
        /// </summary>
        [SugarColumn(ColumnDescription = "匹配方式", Length = 20, ColumnName = "field_query_model")]
        public string? fieldQueryModel { get; set; }


        /// <summary>
        /// 匹配值
        /// </summary>
        [SugarColumn(ColumnDescription = "匹配值", Length = 50, ColumnName = "field_query_value")]
        public string? fieldQueryValue { get; set; }


        /// <summary>
        /// 匹配值类型
        /// </summary>
        [SugarColumn(ColumnDescription = "匹配值类型", Length = 20, ColumnName = "field_query_value_type")]
        public string? fieldQueryValueType { get; set; }


        /// <summary>
        /// 入库表
        /// </summary>
        [SugarColumn(ColumnDescription = "入库表", ColumnName = "in_table_id")]
        public int inTableId { get; set; }



    }
}