﻿using System.ComponentModel.DataAnnotations;

namespace Dto
{
    public class LoginBodyDto
    {
        /// <summary>
        /// 用户名
        /// </summary>
        [Required(ErrorMessage = "用户名不能为空")]
        public string username { get; set; }

        /// <summary>
        /// 用户密码
        /// </summary>
        [Required(ErrorMessage = "密码不能为空")]
        public string password { get; set; }

        /// <summary>
        /// 验证码
        /// </summary>
        public string? code { get; set; }

        /// <summary>
        /// 唯一标识
        /// </summary>
        public string? uuid { get; set; } = "";
        public string? loginIP { get; set; }
        public string? clientId { get; set; }
    }
}
